MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025571Open CASCADE[OCCT] OCCT:Codingpublic2014-12-09 12:172016-04-20 15:48
Reporterazn 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025571: Avoid base Classes without virtual Destructors
DescriptionAccording to the CAST report, there are problems connected with the lack of a virtual destructor in the base class. Potentially this may cause to memory problems.

Most of these errors connected with Handle_Standard_Transient class and DEFINE_STANDARD_HANDLECLASS macros.

Also this problem is present in following classes:

  HatchGen_IntersectionPoint
  IntCurveSurface_Intersection
  Intf_Interference
  IntRes2d_Intersection
  IntTools_BaseRangeSample
  LDOM_Node
  LDOMBasicString
  math_Function
  NCollection_ListNode
  NCollection_BaseList
  NCollection_BaseList::Iterator
  NCollection_SeqNode
  NCollection_BaseSequence
  NCollection_BaseSequence::Iterator
  OSD_Chronometer

  DEFINE_STANDARD_EXCEPTION (macros)
Steps To Reproducenot applicable
Additional information
and documentation updates
It is necessary to add "virtual" modificator to destructors.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025617closedkgv Avoid classes with a copy constructor and the default destructor or assignment operator 
related to 0025618closedkgv Avoid classes with an assignment operator and not implementing both a destructor and a copy constructor 

-  Notes
(0035466)
git (administrator)
2014-12-17 17:07

Branch CR25571 has been created by azn.

SHA-1: 71bf1e4df7a2b84e408d20dd7b33704a1b112c1d


Detailed log of new commits:

Author: azn
Date: Wed Dec 17 16:38:01 2014 +0300

    0025571: Avoid base Classes without virtual Destructors
    
    The following files were fixed:
      Handle_Standard_Transient.hxx
      Standard_DefineHandle.hxx
    
    The following classes were fixed:
    
      HatchGen_IntersectionPoint
      IntCurveSurface_Intersection
      Intf_Interference
      IntRes2d_Intersection
      IntTools_BaseRangeSample
      LDOM_Node
      LDOMBasicString
      math_Function
      NCollection_ListNode
      NCollection_BaseList
      NCollection_BaseList::Iterator
      NCollection_SeqNode
      NCollection_BaseSequence
      NCollection_BaseSequence::Iterator
      OSD_Chronometer
(0035481)
git (administrator)
2014-12-18 15:32

Branch CR25571 has been updated forcibly by azn.

SHA-1: 8c4360a8d6a2f8ba782a2351f995566c0243a036
(0035714)
abv (manager)
2014-12-25 14:27
edited on: 2014-12-25 14:27

I have a few minor remarks, could you please address them:

- class IntTools_BaseRangeSample is used only only as base class for IntTools_CurveRangeSample; I suggest it should be merged to the latter

- there is no need to add empty destructors to LDOMString, LDOM_CDATASection, LDOM_Attr... actually classes in LDOM package are very special, and I suggestthey can be made in separate issue

- NCollection_Base*::Iterator classes: I suggest they should be merged with their descendants, there is no real use of having base classes for iterators. The same applies to NCollection_BaseList. Having base classes for collections may be justified by having some code implemented in C++ source and not template, however this deserves more analysis. I suggest these changes can be extracted to separate issue.

- NCollection_StdAllocator::operator = should perhaps be public and implemented in the same way as copy constructor

- OSD_Chronometer: does not this change relate to another issue?

- Changes in Handle (Standard package): please revert -- Handle will be revised separately

(0036323)
git (administrator)
2015-01-21 14:47

Branch CR25571_1 has been created by azn.

SHA-1: 0d5d8d67fe1ee6d4c1f923501f0e0eaf503a611c


Detailed log of new commits:

Author: azn
Date: Wed Dec 17 16:38:01 2014 +0300

    0025617: Avoid classes with a copy constructor and the default destructor or assignment operator
    
    The problem was fixed in following classes (without Graphic3d_Vertex, Prs3d_DimensionUnits):
    - NCollection_Mat4
    - NCollection_StdAllocator
    - NCollection_Vec2
    - NCollection_Vec3
    - NCollection_Vec4
    - BOPCol_NCVector
    - NCollection_StdAllocator (assignment operator)
    - NCollection_Vector
    - VrmlData_DataMapOfShapeAppearance
    
    ====================================================================================================
    0025618: Avoid classes with an assignment operator and not implementing both a destructor and a copy constructor
    
    The assignment operator isn't required in the following classes:
    - IntPolyh_StartPoint
    - Quantity_Color
    
    ====================================================================================================
    0025571: Avoid base Classes without virtual Destructors
    
    The following classes were fixed:
    
      HatchGen_IntersectionPoint
      IntCurveSurface_Intersection
      Intf_Interference
      IntRes2d_Intersection
      math_Function
      NCollection_ListNode
      NCollection_BaseList
      NCollection_SeqNode
      NCollection_BaseSequence
      NCollection_BaseVector
      NCollection_BaseMap
      OSD_Chronometer
(0036324)
azn (developer)
2015-01-21 14:48

Fixed. Please check brunch CR25571_1.
(0036937)
abv (manager)
2015-02-02 06:32

Reviewed, please test
(0037005)
mkv (tester)
2015-02-03 10:20

Dear azn,
could you please rebase brunch CR25571_1 on current master, there are conflict files.
(0037607)
git (administrator)
2015-02-17 07:55

Branch CR25571_1 has been updated forcibly by azn.

SHA-1: 3eb50922ccfe83eaa17b32c21bf1c403295b4d1f
(0037608)
azn (developer)
2015-02-17 07:58

Dear Mikhail,
The brunch CR25571_1 has been rebased on new master. Please test.
(0037634)
mkv (tester)
2015-02-17 17:41

Dear BugMaster,
Branch CR25571_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 3eb50922ccfe83eaa17b32c21bf1c403295b4d1f

There are compilation errors on Linux platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25571_1/job/mnt-CR25571_1-master_build_occt_linux/1/parsed_console/ [^]
../../../../inc/NCollection_ListNode.hxx:38: error: no suitable ‘operator delete’ for ‘NCollection_ListNode’
../../../../inc/NCollection_TListNode.hxx:27: error: no suitable ‘operator delete’ for ‘NCollection_TListNode<TCollection_ExtendedString>’
../../../../inc/NCollection_DataMap.hxx:53: error: no suitable ‘operator delete’ for ‘NCollection_DataMap<TCollection_AsciiString, TCollection_ExtendedString, NCollection_DefaultHasher<TCollection_AsciiString> >::DataMapNode’
(0039543)
git (administrator)
2015-04-10 09:02

Branch CR25571_1 has been updated forcibly by azn.

SHA-1: b65ef27cd43d3aa0e45221a7919c506f46ae64ba
(0039544)
azn (developer)
2015-04-10 09:04

Dear Mikhail,
The compilation errors have been fixed. Please test.
(0039589)
git (administrator)
2015-04-10 16:15

Branch CR25571_1 has been updated forcibly by mkv.

SHA-1: 5c32bc083c65ccac9c8d45370beaf9349dd36f67
(0039624)
mkv (tester)
2015-04-13 12:35

Dear BugMaster,
Branch CR25571_1 from occt git-repository was compiled on Linux and Windows platforms.
SHA-1: 5c32bc083c65ccac9c8d45370beaf9349dd36f67

There are following compilation errors:
http://jenkins-test-04.nnov.opencascade.com:8080/view/CR25571-1-master/job/CR25571-1-master_build_occt_linux/2/parsed_console/ [^]
...
../../../../inc/NCollection_StdAllocator.hxx:113: error: ‘NCollection_StdAllocator<T>& NCollection_StdAllocator<T>::operator=(const NCollection_StdAllocator<T>&) [with T = OpenGl_RaytraceMaterial]’ is protected
/usr/include/c++/4.4/bits/move.h:82: error: within this context
...
(0039744)
git (administrator)
2015-04-15 11:08

Branch CR25571 has been updated forcibly by azn.

SHA-1: 34c297a6f7e1db70a9285bbfedae2e133827b693
(0039746)
azn (developer)
2015-04-15 11:11

Fixed. Please approve to the tests.
(0039810)
abv (manager)
2015-04-15 18:54

No remarks, please test
(0039814)
git (administrator)
2015-04-15 19:30

Branch CR25571_1 has been updated forcibly by mkv.

SHA-1: 52877e462815088a08988f45b441bbdbebe8bf53
(0040131)
mkv (tester)
2015-04-22 19:19

Dear BugMaster,
Branch CR25571 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 34c297a6f7e1db70a9285bbfedae2e133827b693

Number of compiler warnings:

occt component :
Linux: 20 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25571-master_build_occt_linux/1/warnings17Result/package.-671474530/file.-1089259795/ [^]
BVH_Box.lxx:47, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.804’ does break strict-aliasing rules
BVH_Box.lxx:48, GNU C Compiler 4 (gcc), Priority: Normal
dereferencing pointer ‘aCorner.804’ does break strict-aliasing rules

Regressions/Differences:
http://occt-tests/CR25571-master-occt-64/Debian60-64/bugs/caf/bug21231.html [^]
http://occt-tests/CR25571-master-occt-64/Windows-64-VC10/bugs/caf/bug21231.html [^]
bugs caf(016) bug21231: FAILED

http://occt-tests/CR25571-master-occt-64/Debian60-64/v3d/raytrace/bug25833.html [^]
v3d raytrace(014) bug25833: FAILED

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92219520 / 94243828 [-2.15%]
Total CPU difference: 52978.999999999345 / 56189.7099999997 [-5.71%]
products component :
Total MEMORY difference: 23665323 / 23711227 [-0.19%]
Total CPU difference: 17758.699999999983 / 19064.96999999996 [-6.85%]

Testing on Windows:
occt component :
Total MEMORY difference: 57175159 / 57127443 [+0.08%]
Total CPU difference: 15959.058300998944 / 15976.577213298899 [-0.11%]
products component :
Total MEMORY difference: 15478954 / 15478724 [+0.00%]
Total CPU difference: 6346.760284099965 / 6217.388654799964 [+2.08%]

There are following differences in images found by testdiff.
http://occt-tests/CR25571-master-occt-64/Debian60-64/diff-Debian60-64.html [^]
IMAGE v3d materials bug24872_2: bug24872_2.png differs
IMAGE v3d materials bug24855: bug24855_rt_copper.png differs
IMAGE v3d materials bug24855: bug24855_rt_neon_phc.png differs
IMAGE v3d materials bug24855: bug24855_rt_pewter.png differs
IMAGE v3d materials bug24855: bug24855_rt_bronze.png differs
IMAGE v3d materials bug24855: bug24855_rt_stone.png differs
IMAGE v3d materials bug24855: bug24855_rt_chrome.png differs
IMAGE v3d materials bug24855: bug24855_rt_charcoal.png differs
IMAGE v3d materials bug24855: bug24855_rt_steel.png differs
IMAGE v3d materials bug24855: bug24855_rt_gold.png differs
IMAGE v3d materials bug24855: bug24855_rt_obsidian.png differs
IMAGE v3d materials bug24855: bug24855_rt_satin.png differs
IMAGE v3d materials bug24855: bug24855_rt_jade.png differs
IMAGE v3d materials bug24855: bug24855_rt_brass.png differs
IMAGE v3d materials bug24855: bug24855_rt_aluminium.png differs
IMAGE v3d materials bug24855: bug24855_rt_silver.png differs
IMAGE v3d materials bug24855: bug24855_rt_plastic.png differs
IMAGE v3d materials bug24855: bug24855_rt_plaster.png differs
IMAGE v3d raytrace bug24130: bug24130.png differs
IMAGE v3d raytrace bug24130: bug24130_9.png differs
IMAGE v3d raytrace bug24130: bug24130_3.png differs
IMAGE v3d raytrace bug24130: bug24130_7.png differs
IMAGE v3d raytrace bug24130: bug24130_13.png differs
IMAGE v3d raytrace bug24130: bug24130_15.png differs
IMAGE v3d raytrace bug24130: bug24130_11.png differs
IMAGE v3d raytrace bug24130: bug24130_12.png differs
IMAGE v3d raytrace bug24130: bug24130_4.png differs
IMAGE v3d raytrace bug24130: bug24130_18.png differs
IMAGE v3d raytrace bug24130: bug24130_16.png differs
IMAGE v3d raytrace bug24130: bug24130_19.png differs
IMAGE v3d raytrace bug24130: bug24130_6.png differs
IMAGE v3d raytrace bug24130: bug24130_8.png differs
IMAGE v3d raytrace bug24130: bug24130_10.png differs
IMAGE v3d raytrace bug24130: bug24130_2.png differs
IMAGE v3d raytrace bug24130: bug24130_17.png differs
IMAGE v3d raytrace bug24130: bug24130_5.png differs
IMAGE v3d raytrace bug24130: bug24130_0.png differs
IMAGE v3d raytrace bug24130: bug24130_1.png differs
IMAGE v3d raytrace bug24130: bug24130_14.png differs
IMAGE v3d raytrace connected: connected.png differs
IMAGE v3d raytrace connected: connected_rt1.png differs
IMAGE v3d raytrace textures: textures.png differs
IMAGE v3d raytrace refraction: refraction.png differs
IMAGE v3d raytrace bug24819: bug24819.png differs
IMAGE v3d raytrace bug24819: bug24819_7.png differs
IMAGE v3d raytrace bug24819: bug24819_6.png differs
IMAGE v3d raytrace bug24819: bug24819_1.png differs
IMAGE v3d raytrace bug24819: bug24819_5.png differs
IMAGE v3d raytrace bug24819: bug24819_0.png differs
IMAGE v3d raytrace bug24819: bug24819_3.png differs
IMAGE v3d raytrace bug24819: bug24819_4.png differs
IMAGE v3d raytrace bug24819: bug24819_2.png differs
IMAGE demo samples penrose: penrose.png differs
IMAGE demo samples raytrace: raytrace.png differs
(0045944)
git (administrator)
2015-09-21 14:26

Branch CR25571_2 has been created by abv.

SHA-1: aa5767126c84f304e64c70f5c5dc5dad24a82946


Detailed log of new commits:

Author: azn
Date: Wed Dec 17 11:17:28 2014 +0300

    0025617: Avoid classes with a copy constructor and the default destructor or assignment operator
    
    Removed useless user-defined copy constructors and assignment operators in BOPCol_NCVector, NCollection_Mat4, NCollection_Vec*
    
    User-defined assignment operator matching copy constructor added in NCollection_StdAllocator.
    
    Class VrmlData_DataMapOfShapeAppearance redefined as simple typedef to NCollection_DataMap<>.

Author: azn
Date: Wed Dec 17 11:06:13 2014 +0300

    0025618: Avoid classes with an assignment operator and not implementing both a destructor and a copy constructor
    
    User-defined assignment operator is removed in the classes IntPolyh_StartPoint and Quantity_Color, as default assignment will be OK

Author: abv
Date: Mon Sep 21 16:38:01 2015 +0300

    0025571: Avoid base Classes without virtual Destructors
    
    Destructors of collection classes from NCollection and math_Function are made virtual to allow safe destruction by pointer to base class.
    
    Destructors of classes HatchGen_IntersectionPoint, IntCurveSurface_Intersection, Intf_Interference, IntRes2d_Intersection are made protected to avoid possibility of destructing by pointer to corresponding base class.
(0045946)
abv (manager)
2015-09-21 14:29

Updated fix is pushed to CR25571_2 (three separate commits, one per issue), please review
(0045948)
kgv (developer)
2015-09-21 14:46

+  //! Virtual destructor, for safe inheritance
+  ~math_Function () {}

either comment or method definition is incorrect.

-void IntPolyh_StartPoint::Equal(const IntPolyh_StartPoint &StPt) {

commit removes method ::Equal, while description specifies removal of assignment operator:
0025618: Avoid classes with an assignment operator and not implementing both a destructor and a copy 
constructor

User-defined assignment operator is removed in the classes IntPolyh_StartPoint and Quantity_Color, as 
default assignment will be OK
(0045967)
abv (manager)
2015-09-22 07:23

math_Function: you are right, thank you for noticing! corrected in CR25571_2 (force-pushed)

IntPolyh_StartPoint::Equal(): that method actually did assignment 8-o, thus both fix and commit message are correct
(0045968)
kgv (developer)
2015-09-22 08:31

>> corrected in CR25571_2 (force-pushed)
there no such update (yet)!
(0045974)
git (administrator)
2015-09-22 11:08

Branch CR25571_2 has been updated forcibly by abv.

SHA-1: 68d0585da52d2d610623d12981f1a33148f93868
(0045975)
kgv (developer)
2015-09-22 11:10

Please test the patch.
(0046040)
mkv (tester)
2015-09-23 14:13

Dear BugMaster,
Branch CR25571_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 68d0585da52d2d610623d12981f1a33148f93868

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 93621051 / 92149291 [+1.60%]
Total CPU difference: 19141.539999999244 / 18919.649999998986 [+1.17%]
products component :
Total MEMORY difference: 26214473 / 25980951 [+0.90%]
Total CPU difference: 7646.219999999997 / 7208.589999999996 [+6.07%]

Testing on Windows:
occt component :
Total MEMORY difference: 57737829 / 56869227 [+1.53%]
Total CPU difference: 17483.110070498893 / 17116.96012339913 [+2.14%]
products component :
Total MEMORY difference: 17099624 / 16790438 [+1.84%]
Total CPU difference: 5610.497964499968 / 5526.49142599996 [+1.52%]

There are no differences in images found by testdiff.
(0046914)
git (administrator)
2015-10-16 16:23

Branch CR25571 has been deleted by kgv.

SHA-1: 34c297a6f7e1db70a9285bbfedae2e133827b693
(0046915)
git (administrator)
2015-10-16 16:23

Branch CR25571_1 has been deleted by kgv.

SHA-1: 52877e462815088a08988f45b441bbdbebe8bf53
(0046944)
git (administrator)
2015-10-16 16:28

Branch CR25571_2 has been deleted by kgv.

SHA-1: 68d0585da52d2d610623d12981f1a33148f93868

- Related Changesets
occt: master 6928e351
Timestamp: 2015-09-21 13:38:01
Author: abv
Committer: kgv
Details ] Diff ]
0025571: Avoid base Classes without virtual Destructors

Destructors of collection classes from NCollection and math_Function are made virtual to allow safe destruction by pointer to base class.

Destructors of classes HatchGen_IntersectionPoint, IntCurveSurface_Intersection, Intf_Interference, IntRes2d_Intersection are made protected to avoid possibility of destructing by pointer to corresponding base class.
mod - src/HatchGen/HatchGen_IntersectionPoint.cxx Diff ] File ]
mod - src/HatchGen/HatchGen_IntersectionPoint.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Intersection.hxx Diff ] File ]
mod - src/Intf/Intf_Interference.hxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Intersection.hxx Diff ] File ]
mod - src/math/math_Function.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseList.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseVector.hxx Diff ] File ]
mod - src/NCollection/NCollection_DataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_List.hxx Diff ] File ]
mod - src/NCollection/NCollection_Map.hxx Diff ] File ]
mod - src/NCollection/NCollection_Sequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-09 12:17 azn New Issue
2014-12-09 12:17 azn Assigned To => azn
2014-12-09 12:18 azn Assigned To azn => abv
2014-12-09 12:18 azn Additional Information Updated View Revisions
2014-12-09 12:22 azn Additional Information Updated View Revisions
2014-12-09 13:21 azn Description Updated View Revisions
2014-12-09 13:21 azn Additional Information Updated View Revisions
2014-12-09 13:21 azn Description Updated View Revisions
2014-12-17 17:07 git Note Added: 0035466
2014-12-17 17:12 azn Status new => resolved
2014-12-17 17:12 azn Steps to Reproduce Updated View Revisions
2014-12-18 15:31 azn Relationship added related to 0025617
2014-12-18 15:31 azn Relationship added related to 0025618
2014-12-18 15:32 git Note Added: 0035481
2014-12-25 14:27 abv Note Added: 0035714
2014-12-25 14:27 abv Assigned To abv => azn
2014-12-25 14:27 abv Status resolved => assigned
2014-12-25 14:27 abv Note Edited: 0035714 View Revisions
2015-01-21 14:47 git Note Added: 0036323
2015-01-21 14:48 azn Note Added: 0036324
2015-01-21 14:48 azn Assigned To azn => abv
2015-01-21 14:48 azn Status assigned => resolved
2015-02-02 06:32 abv Note Added: 0036937
2015-02-02 06:32 abv Assigned To abv => bugmaster
2015-02-02 06:32 abv Status resolved => reviewed
2015-02-03 09:42 mkv Assigned To bugmaster => mkv
2015-02-03 10:20 mkv Note Added: 0037005
2015-02-03 10:20 mkv Assigned To mkv => azn
2015-02-03 10:20 mkv Status reviewed => feedback
2015-02-13 19:55 mkv Assigned To azn => mkv
2015-02-13 19:55 mkv Assigned To mkv => abv
2015-02-13 20:04 abv Assigned To abv => azn
2015-02-17 07:55 git Note Added: 0037607
2015-02-17 07:58 azn Note Added: 0037608
2015-02-17 07:58 azn Assigned To azn => mkv
2015-02-17 07:58 azn Status feedback => reviewed
2015-02-17 17:41 mkv Note Added: 0037634
2015-02-17 17:41 mkv Assigned To mkv => azn
2015-02-17 17:41 mkv Status reviewed => assigned
2015-04-10 09:02 git Note Added: 0039543
2015-04-10 09:04 azn Note Added: 0039544
2015-04-10 09:04 azn Assigned To azn => mkv
2015-04-10 09:04 azn Status assigned => resolved
2015-04-10 10:02 abv Assigned To mkv => bugmaster
2015-04-10 10:02 abv Status resolved => reviewed
2015-04-10 14:55 mkv Assigned To bugmaster => mkv
2015-04-10 16:15 git Note Added: 0039589
2015-04-13 12:35 mkv Note Added: 0039624
2015-04-13 12:35 mkv Assigned To mkv => azn
2015-04-13 12:35 mkv Status reviewed => assigned
2015-04-15 11:08 git Note Added: 0039744
2015-04-15 11:11 azn Note Added: 0039746
2015-04-15 11:11 azn Assigned To azn => abv
2015-04-15 11:11 azn Status assigned => resolved
2015-04-15 18:54 abv Note Added: 0039810
2015-04-15 18:54 abv Assigned To abv => bugmaster
2015-04-15 18:54 abv Status resolved => reviewed
2015-04-15 19:30 git Note Added: 0039814
2015-04-16 12:09 mkv Assigned To bugmaster => mkv
2015-04-22 19:19 mkv Note Added: 0040131
2015-04-22 19:19 mkv Assigned To mkv => azn
2015-04-22 19:19 mkv Status reviewed => assigned
2015-04-22 19:19 mkv Test case number => Not needed
2015-04-22 23:07 abv Target Version 6.9.0 => 7.1.0
2015-08-26 11:55 abv Assigned To azn => abv
2015-09-21 14:26 git Note Added: 0045944
2015-09-21 14:29 abv Note Added: 0045946
2015-09-21 14:29 abv Assigned To abv => kgv
2015-09-21 14:29 abv Status assigned => resolved
2015-09-21 14:46 kgv Note Added: 0045948
2015-09-21 14:47 kgv Assigned To kgv => abv
2015-09-21 14:47 kgv Status resolved => assigned
2015-09-22 07:23 abv Note Added: 0045967
2015-09-22 07:23 abv Assigned To abv => kgv
2015-09-22 07:23 abv Status assigned => resolved
2015-09-22 08:31 kgv Note Added: 0045968
2015-09-22 11:08 git Note Added: 0045974
2015-09-22 11:10 kgv Note Added: 0045975
2015-09-22 11:10 kgv Assigned To kgv => bugmaster
2015-09-22 11:10 kgv Status resolved => reviewed
2015-09-22 11:10 kgv Target Version 7.1.0 => 7.0.0
2015-09-22 11:49 mkv Assigned To bugmaster => mkv
2015-09-23 14:13 mkv Note Added: 0046040
2015-09-23 14:13 mkv Assigned To mkv => bugmaster
2015-09-23 14:13 mkv Status reviewed => tested
2015-09-28 12:58 kgv Changeset attached => occt master 6928e351
2015-09-28 12:58 kgv Assigned To bugmaster => kgv
2015-09-28 12:58 kgv Status tested => verified
2015-09-28 12:58 kgv Resolution open => fixed
2015-10-16 16:23 git Note Added: 0046914
2015-10-16 16:23 git Note Added: 0046915
2015-10-16 16:28 git Note Added: 0046944
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker